﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{79A066AD-69A9-4223-90F6-6ED5D2D084F4}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>TUGraz.VectoCommon</RootNamespace>
    <AssemblyName>VectoCommon</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>RELEASE_CANDIDATE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Newtonsoft.Json, Version=8.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\..\packages\Newtonsoft.Json.8.0.3\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="NLog, Version=4.0.0.0, Culture=neutral, PublicKeyToken=5120e14c03d0593c, processorArchitecture=MSIL">
      <HintPath>..\..\packages\NLog.4.5.11\lib\net45\NLog.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.IO.Compression" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.ServiceModel" />
    <Reference Include="System.Transactions" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="BusAuxiliaries\BusHVACSystemConfiguration.cs" />
    <Compile Include="BusAuxiliaries\CompressorMapValues.cs" />
    <Compile Include="BusAuxiliaries\FloorType.cs" />
    <Compile Include="BusAuxiliaries\IActuations.cs" />
    <Compile Include="BusAuxiliaries\IActuationsMap.cs" />
    <Compile Include="BusAuxiliaries\IAlternatorMap.cs" />
    <Compile Include="BusAuxiliaries\IAuxiliaryConfig.cs" />
    <Compile Include="BusAuxiliaries\ICombinedAlternatorMapRow.cs" />
    <Compile Include="BusAuxiliaries\ICompressorMap.cs" />
    <Compile Include="BusAuxiliaries\IElectricsUserInputsConfig.cs" />
    <Compile Include="BusAuxiliaries\IEnvironmentalConditionsMap.cs" />
    <Compile Include="BusAuxiliaries\IEnvironmentalConditionsMapEntry.cs" />
    <Compile Include="BusAuxiliaries\IFuelConsumptionMap.cs" />
    <Compile Include="BusAuxiliaries\IFuelProperties.cs" />
    <Compile Include="BusAuxiliaries\IHVACConstants.cs" />
    <Compile Include="BusAuxiliaries\IHVACUserInputsConfig.cs" />
    <Compile Include="BusAuxiliaries\IPneumaticsConsumersDemand.cs" />
    <Compile Include="BusAuxiliaries\IPneumaticUserInputsConfig.cs" />
    <Compile Include="BusAuxiliaries\IResultCard.cs" />
    <Compile Include="BusAuxiliaries\ISignals.cs" />
    <Compile Include="BusAuxiliaries\ISSMDeclarationInputs.cs" />
    <Compile Include="BusAuxiliaries\ISSMTechnologyBenefits.cs" />
    <Compile Include="BusAuxiliaries\IVehicleData.cs" />
    <Compile Include="BusAuxiliaries\SmartResult.cs" />
    <Compile Include="Hashing\IVectoHash.cs" />
    <Compile Include="Hashing\VectoComponents.cs" />
    <Compile Include="InputData\DataSourceType.cs" />
    <Compile Include="InputData\DigestData.cs" />
    <Compile Include="InputData\TableData.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="InputData\VTPDeclarationInputData.cs" />
    <Compile Include="InputData\VTPEngineeringInputData.cs" />
    <Compile Include="Models\AlternatorType.cs" />
    <Compile Include="Models\AuxiliaryType.cs" />
    <Compile Include="Exceptions\VectoExceptions.cs" />
    <Compile Include="Exceptions\VectoSimulationException.cs" />
    <Compile Include="InputData\DeclarationInputData.cs" />
    <Compile Include="InputData\EngineeringInputData.cs" />
    <Compile Include="InputData\IInputDataProvider.cs" />
    <Compile Include="InputData\IntegrityStatus.cs" />
    <Compile Include="Models\AuxiliaryDemandType.cs" />
    <Compile Include="Models\AngledriveType.cs" />
    <Compile Include="Models\AuxiliaryModel.cs" />
    <Compile Include="Models\AxleConfiguration.cs" />
    <Compile Include="Models\AxleLineType.cs" />
    <Compile Include="Models\CertificationMethod.cs" />
    <Compile Include="Models\CrossWindCorrectionMode.cs" />
    <Compile Include="Models\ExecutionMode.cs" />
    <Compile Include="Models\FuelType.cs" />
    <Compile Include="Models\GearboxType.cs" />
    <Compile Include="Models\GearshiftPosition.cs" />
    <Compile Include="Models\IResponse.cs" />
    <Compile Include="Models\LegislativeClass.cs" />
    <Compile Include="Models\LoggingObject.cs" />
    <Compile Include="Models\MissionType.cs" />
    <Compile Include="Models\OperatingPoint.cs" />
    <Compile Include="Models\RetarderType.cs" />
    <Compile Include="Models\SimulationType.cs" />
    <Compile Include="Models\TorqueConverterOperatingPoint.cs" />
    <Compile Include="Models\VehicleCategory.cs" />
    <Compile Include="Models\WHRType.cs" />
    <Compile Include="OutputData\IOutputFileWriter.cs" />
    <Compile Include="OutputData\IOutputPlugin.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Properties\Version.cs">
      <DependentUpon>Version.tt</DependentUpon>
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
    </Compile>
    <Compile Include="Resources\XMLNames.Designer.cs">
      <DependentUpon>XMLNames.resx</DependentUpon>
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
    </Compile>
    <Compile Include="Utils\DoubleExtensionMethods.cs" />
    <Compile Include="Utils\EnumerableExtensionMethods.cs" />
    <Compile Include="Utils\EnumHelper.cs" />
    <Compile Include="Utils\IntExtensionMethods.cs" />
    <Compile Include="Utils\SI.cs" />
    <Compile Include="Utils\SIConvertExtensionMethods.cs" />
    <Compile Include="Utils\SIExtensionMetods.cs" />
    <Compile Include="Utils\SIUtils.cs" />
    <Compile Include="Utils\StringExtensionMethods.cs" />
    <Compile Include="Utils\Validation.cs" />
    <Compile Include="Utils\VectoMath.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="packages.config" />
    <None Include="Properties\Version.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <LastGenOutput>Version.cs</LastGenOutput>
    </None>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Resources\XMLNames.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>XMLNames.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <Service Include="{508349B6-6B84-4DF5-91F0-309BEEBAD82D}" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
  <Import Project="$(SolutionDir)Build\TextPreProcessing.targets" />
  <PropertyGroup Condition="'$(SolutionDir)' == '' or '$(SolutionDir)' == '*undefined*'">
    <SolutionDir>..\..\</SolutionDir>
  </PropertyGroup>
  <Import Project="$(SolutionDir)Build\CommonSettings.targets" />
</Project>